Summary: The GNU versions of grep pattern matching utilities.
Name: grep
Version: 2.5
Release: 6tr
License: GPL
Group: Environment/Text
Source: ftp://ftp.gnu.org/gnu/grep/grep-%{version}.tar.gz
Patch0: grep-2.5-pcre.h.patch
Patch1: grep-2.5-egrep.patch
Buildroot: /var/tmp/%{name}-root

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.  

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=%{_prefix} \
	--exec-prefix=/ \
	--disable-perl-regexp \
	--mandir=%{_mandir}
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
make LDFLAGS=-s prefix=$RPM_BUILD_ROOT%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT install

pushd $RPM_BUILD_ROOT/bin
	ln -s grep egrep
	ln -s grep fgrep
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog
/bin/*
/usr/share/man/*/*

%changelog
* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-6tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-5tr
- Big rebuild

* Thu May 22 2003 Tore Olsen <toreo at trustix dot com> 2.5-4to
- Really disable perl regexp.

* Wed May 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-3em
- Disable perl regexp.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-2em
- Rebuilt against glibc 2.3.2.

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 2.5-1ct
- New upstream version.
- Removed the info stuff.
- Patched to actually find pcre.h (Patch 0)

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 2.4.2-4dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Thu May 11 2000 Oystein Viggen <oysteivi at trustix dot com>
- version 2.4.2

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- upgraded to 2.4
- moved man and info directories to /usr/share for FHS compliance
- removed locales.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to grep 2.3, added install-info %post/%preun for info

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.0 to 2.1
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
